com.brightcove.player.captioning.preferences

## Class EdgeTypePreference

- java.lang.Object
- - android.preference.Preference
  - - android.preference.DialogPreference
    - - com.brightcove.player.captioning.preferences.ListDialogPreference
      - - com.brightcove.player.captioning.preferences.EdgeTypePreference

- All Implemented Interfaces:
    android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.preference.PreferenceManager.OnActivityDestroyListener, java.lang.Comparable<android.preference.Preference>

      public class EdgeTypePreference
      extends ListDialogPreference

  Grid preference that allows the user to pick a captioning edge type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.brightcove.player.captioning.preferences.ListDialogPreference

      `ListDialogPreference.OnValueChangedListener`

    - ### Nested classes/interfaces inherited from class android.preference.Preference

      `android.preference.Preference.BaseSavedState, android.preference.Preference.OnPreferenceChangeListener, android.preference.Preference.OnPreferenceClickListener`

  - ### Field Summary

    - ### Fields inherited from class android.preference.Preference

      `DEFAULT_ORDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeTypePreference(android.content.Context context, android.util.AttributeSet attrs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onBindListItem(android.view.View view, int index)` Populates a list item view with data for the specified index.
    `boolean` | `shouldDisableDependents()` This determines whether the dependent preferences below this should be disabled.

    - ### Methods inherited from class com.brightcove.player.captioning.preferences.ListDialogPreference

      `getIndexForValue, getSummary, getTitleAt, getValue, getValueAt, onGetDefaultValue, onPrepareDialogBuilder, onRestoreInstanceState, onSaveInstanceState, onSetInitialValue, setListItemLayoutResource, setOnValueChangedListener, setTitles, setValue, setValues`

    - ### Methods inherited from class android.preference.DialogPreference

      `getDialog, getDialogIcon, getDialogLayoutResource, getDialogMessage, getDialogTitle, getNegativeButtonText, getPositiveButtonText, onActivityDestroy, onBindDialogView, onClick, onClick, onCreateDialogView, onDialogClosed, onDismiss, setDialogIcon, setDialogIcon, setDialogLayoutResource, setDialogMessage, setDialogMessage, setDialogTitle, setDialogTitle, setNegativeButtonText, setNegativeButtonText, setPositiveButtonText, setPositiveButtonText, showDialog`

    - ### Methods inherited from class android.preference.Preference

      `callChangeListener, compareTo, findPreferenceInHierarchy, getContext, getDependency, getEditor, getExtras, getFragment, getIcon, getIntent, getKey, getLayoutResource, getOnPreferenceChangeListener, getOnPreferenceClickListener, getOrder, getParent, getPersistedBoolean, getPersistedFloat, getPersistedInt, getPersistedLong, getPersistedString, getPersistedStringSet, getPreferenceDataStore, getPreferenceManager, getSharedPreferences, getShouldDisableView, getTitle, getTitleRes, getView, getWidgetLayoutResource, hasKey, isEnabled, isIconSpaceReserved, isPersistent, isRecycleEnabled, isSelectable, isSingleLineTitle, notifyChanged, notifyDependencyChange, notifyHierarchyChanged, onAttachedToActivity, onAttachedToHierarchy, onBindView, onCreateView, onDependencyChanged, onParentChanged, onPrepareForRemoval, peekExtras, persistBoolean, persistFloat, persistInt, persistLong, persistString, persistStringSet, restoreHierarchyState, saveHierarchyState, setDefaultValue, setDependency, setEnabled, setFragment, setIcon, setIcon, setIconSpaceReserved, setIntent, setKey, setLayoutResource, setOnPreferenceChangeListener, setOnPreferenceClickListener, setOrder, setPersistent, setPreferenceDataStore, setRecycleEnabled, setSelectable, setShouldDisableView, setSingleLineTitle, setSummary, setSummary, setTitle, setTitle, setWidgetLayoutResource, shouldCommit, shouldPersist, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdgeTypePreference

          public EdgeTypePreference(android.content.Context context,
                                    android.util.AttributeSet attrs)

  - ### Method Detail

    - #### shouldDisableDependents

          public boolean shouldDisableDependents()

      This determines whether the dependent preferences below this should be disabled. In this case, the dependent should be disabled only if the edge type is NONE.
      Overrides:
        `shouldDisableDependents` in class `android.preference.Preference`

    - #### onBindListItem

          protected void onBindListItem(android.view.View view,
                                        int index)

      Description copied from class: `ListDialogPreference`
      Populates a list item view with data for the specified index.
      Specified by:
        `onBindListItem` in class `ListDialogPreference`
      Parameters:
        `view` - the view to populate
        `index` - the index for which to populate the view
      See Also:
        `ListDialogPreference.setListItemLayoutResource(int)`, `ListDialogPreference.getValueAt(int)`, `ListDialogPreference.getTitleAt(int)`